import type { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PopulatedTransaction, Signer, utils } from "ethers";
import type { FunctionFragment, Result } from "@ethersproject/abi";
import type { Listener, Provider } from "@ethersproject/providers";
import type { TypedEventFilter, TypedEvent, TypedListener, OnEvent, PromiseOrValue } from "../../../../../../../../common";
export interface IAlgebraPoolPermissionedActionsInterface extends utils.Interface {
    functions: {
        "setCommunityFee(uint8,uint8)": FunctionFragment;
        "setIncentive(address)": FunctionFragment;
        "setLiquidityCooldown(uint32)": FunctionFragment;
        "setTickSpacing(int24)": FunctionFragment;
    };
    getFunction(nameOrSignatureOrTopic: "setCommunityFee" | "setIncentive" | "setLiquidityCooldown" | "setTickSpacing"): FunctionFragment;
    encodeFunctionData(functionFragment: "setCommunityFee", values: [PromiseOrValue<BigNumberish>, PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setIncentive", values: [PromiseOrValue<string>]): string;
    encodeFunctionData(functionFragment: "setLiquidityCooldown", values: [PromiseOrValue<BigNumberish>]): string;
    encodeFunctionData(functionFragment: "setTickSpacing", values: [PromiseOrValue<BigNumberish>]): string;
    decodeFunctionResult(functionFragment: "setCommunityFee", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setIncentive", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setLiquidityCooldown", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setTickSpacing", data: BytesLike): Result;
    events: {};
}
export interface IAlgebraPoolPermissionedActions extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: IAlgebraPoolPermissionedActionsInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        setCommunityFee(communityFee0: PromiseOrValue<BigNumberish>, communityFee1: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setIncentive(virtualPoolAddress: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setLiquidityCooldown(newLiquidityCooldown: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
        setTickSpacing(newTickSpacing: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<ContractTransaction>;
    };
    setCommunityFee(communityFee0: PromiseOrValue<BigNumberish>, communityFee1: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setIncentive(virtualPoolAddress: PromiseOrValue<string>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setLiquidityCooldown(newLiquidityCooldown: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    setTickSpacing(newTickSpacing: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
        from?: PromiseOrValue<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        setCommunityFee(communityFee0: PromiseOrValue<BigNumberish>, communityFee1: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setIncentive(virtualPoolAddress: PromiseOrValue<string>, overrides?: CallOverrides): Promise<void>;
        setLiquidityCooldown(newLiquidityCooldown: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
        setTickSpacing(newTickSpacing: PromiseOrValue<BigNumberish>, overrides?: CallOverrides): Promise<void>;
    };
    filters: {};
    estimateGas: {
        setCommunityFee(communityFee0: PromiseOrValue<BigNumberish>, communityFee1: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setIncentive(virtualPoolAddress: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setLiquidityCooldown(newLiquidityCooldown: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
        setTickSpacing(newTickSpacing: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        setCommunityFee(communityFee0: PromiseOrValue<BigNumberish>, communityFee1: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setIncentive(virtualPoolAddress: PromiseOrValue<string>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setLiquidityCooldown(newLiquidityCooldown: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
        setTickSpacing(newTickSpacing: PromiseOrValue<BigNumberish>, overrides?: Overrides & {
            from?: PromiseOrValue<string>;
        }): Promise<PopulatedTransaction>;
    };
}
